-module(exemple).

-export([params/3, formulaire/3]).

%% Haut de la page HTML
haut(Titre) ->
    "<html>
<head>
<title>" ++ Titre ++ "</title>
</head>
<body>
<h1>" ++ Titre ++ "</h1>\n".

%% Bas de la page HTML
bas() ->
    "</body>
</html>\n".

%% 
params(SessionID,Env,Input)->
    mod_esi:deliver(SessionID, "Content-Type:text/html\r\n\r\n"),
    mod_esi:deliver(SessionID, haut("Affichage des informations relative  la requte")),
    mod_esi:deliver(SessionID,
		    io_lib:format("<p>Environnement</p><pre>~n~p~n</pre>~n",
				  [Env])),
    mod_esi:deliver(SessionID,
		    io_lib:format("<p>Entre</p><pre>~n~p~n</pre>~n",
				  [Input])),
    mod_esi:deliver(SessionID, bas()).

formulaire(SessionID, Env, Input) ->
    mod_esi:deliver(SessionID, "Content-Type:text/html\r\n\r\n"),
    mod_esi:deliver(SessionID, haut("Formulaire gnrant une requte post")),
    mod_esi:deliver(SessionID, " <form method=\"POST\" action=\"params\">
<p>Nom: <input name=\"nom\" type=\"text\" size=\"48\"/></p>
<p>URL: <input name=\"url\" type=\"text\" size=\"60\" value=\"http://\"/></p>
<p>Description: <textarea name=\"desc\" cols=\"60\" rows=\"10\"></textarea></p>
<p><input type=\"submit\"/> <input type=\"reset\"/></p>
</form>"),
    mod_esi:deliver(SessionID, bas()).
    
