{application,ldap_proxy,
             [{vsn,"1.0"},
              {description,"LDAP server proxy for debugging purpose."},
              {id,[]},
              {modules,[ldap_handler_file,
                        ldap_proxy_config,
                        ldap_connection_srv,
                        ldap_connections_sup,
                        ldap_accept_fsm,
                        ldap_proxy_sup,
                        ldap_proxy_app,
                        'ELDAPv3']},
              {registered,[ldap_accept_fsm,ldap_connection_sup,ldap_proxy_sup]},
              {applications,[kernel,stdlib,sasl]},
              {env,[{ldap_proxy_server_host,"localhost"},
                    {ldap_proxy_server_port,389},
                    {ldap_proxy_port,9389},
                    {ldap_proxy_handler,ldap_handler_file},
                    {ldap_proxy_extra_args,[{filename,"ldap_proxy.data"}]}]},
              {mod,{ldap_proxy_app,[]}}]}.
