-module(ldap_proxy_config).
-author("mickael.remond@erlang-fr.org").

-export([server_host/0,
	 server_port/0,
	 proxy_port/0,
	 proxy_handler/0,
	 extra_args/0]).

%% Une fonction de contrle de l'ensemble des options de l'application
%% peut tre ajoute

server_host() ->
    {ok, ServerHost} = application:get_env(ldap_proxy_server_host),
    ServerHost.

server_port() ->
    {ok, ServerPort} = application:get_env(ldap_proxy_server_port),
    ServerPort.
    
proxy_port() ->
    {ok, ProxyPort} = application:get_env(ldap_proxy_port),
    ProxyPort.

proxy_handler() ->
    {ok, Handler} = application:get_env(ldap_proxy_handler),
    Handler.

extra_args() ->
    {ok, ExtraArgs} = application:get_env(ldap_proxy_extra_args),
    ExtraArgs.
