%%%-------------------------------------------------------------------
%%% File    : rei_server_app.erl
%%% Author  : Mickael Remond <mickael.remond@erlang-fr.org>
%%% Description : Application OTP behaviour for Rei Server
%%%               Starting point on the server
%%% Created :  12 Mar 2003 by Mickael Remond
%%%-------------------------------------------------------------------
-module(rei_server_app).

-behaviour(application).

%%--------------------------------------------------------------------
%% External exports
%%--------------------------------------------------------------------
-export([start/2, stop/1]).

start(Type, []) ->
    rei_server_sup:start_link([]).

%%
stop(_State) ->
    _State.
