-module(wpc_debug).

-export([init/0,menu/2,command/2]).

%% Il faut toujours inclure ces fichiers dans les extensions  Wings
%% 3D
-include_lib("esdl/include/gl.hrl").
-include("e3d.hrl").
-include("e3d_image.hrl").

init() ->
    io:format("~p: Initialisation~n", [?MODULE]),
    true.

%% La fonction menu ne change pas les menus
%% Elle se contente d'afficher les paramtres passs lors de l'appel
%% et de renvoy la liste d'lments du menu inchange.
menu(EntreeDeMenu, Elements) ->
    io:format("~p: menu/2 Entree=~p Elements=~p~n", [?MODULE, EntreeDeMenu, Elements]),
    Elements.

%% La fonction commande renvoie l'atome next lorsqu'elle n'est pas
%% concernee par l'evenement
%% Dans notre cas, on affiche les parametres recus et on passe la main aux autres plugins
command(Event, State) ->
    io:format("~p: command/2 Evenement=~p Etat=~p~n", [?MODULE, Event, State]),
    next.
