-module(atome_ok).

-export([test/0]).

test() ->
   %% On test les conditions de ralisation de la fonction.
   %% Le test renvoie un code d'erreur si le rsultat du traitement = 10
   %% Sinon on renvoie ok pour signifier que tout s'est bien pass.
   Result = traitement(),
   io:format("Resultat: ~p~n",  [Result]),
   case Result of
      10 -> {error, number_not_allowed};
      Other -> ok
   end.

%% Le traitement gnre un nombre alatoire compris entre 0 et 100
traitement() ->
   %% {X1, X2, X3} = now(),
   %% random:seed(X1,X2,X3),
   random:uniform(100).
