%% Dbut du module bouclefor2
-module(bouclefor2).
-export([for/2]).

%% La fonction for prend les paramtres suivants:

%%   1. Liste de valeurs constitutivent de l'itration.
%%   2. TraitementFun: Traitement  effectuer  chaque itration: Il
%%    s'agit d'une fonction anonyme prenant un paramtre, la valeur
%%    courante de l'itration.

%% Clause 1: Cas ou l'itration est termine (liste vide), on sort de
%% la boucle
for([], TraitementFun) ->
    ok;
%% Clause 2: Traitement pour la valeur courante et appel rcursif pour
%% le reste des valeurs  parcourir
for([Iter|Reste], TraitementFun) -> 
    TraitementFun(Iter),
    for(Reste, TraitementFun).
%% Fin du module bouclefor2
