%% Dbut du module do1
-module(do1).

-export([start/0]).

%% Fonction de lancement du programme
start() ->
    io:format("Saisissez un texte et terminez par une ligne vide.~n",[]),
    while(lecture()).

%% Fonction dcrivant le traitement conditionnel et renvoyant le
%% rsultat
lecture() ->
    %% Erlang gre l'affichage d'un prompt sur la ligne de saisie:
    Line = io:get_line('> '),
    io:format("Vous avez saisi: ~s", [Line]),    
    Line.

%% Le test de sortie est porte par la fonction rcursive.
%% C'est une condition de sortie de notre appel rcursif de fonctions.
while(Line) when Line == "\n" ->
    ok;
%% Si la ligne saisie n'est pas une ligne vide, on excute  nouveau
%% le traitement
while(Line) ->
    while(lecture()).
%% Fin du module do1
