-module(propagation).
-export([start/1, processus1/1]).

start(NbIteration) ->
    io:format("Processus racine : ~p~n", [self()]),
    processus(NbIteration),
    ok.

%% Cette clause provoque une erreur d'excution pour mauvaise
%% correspondance de motif: 1 ne peut jamais correspondre  2.
processus1(0) ->
    1 = 2;
processus1(NbIteration) ->
    %% Nous pourrions ventuellement afficher le niveau du processus
    %% dans l'arbre. Ceci est laiss comme exercice au lecteur.
    io:format("Processus : ~p~n", [self()]),
    timer:sleep(20000),
    processus(NbIteration - 1),
    attend_indefiniment().

%% La fonction charge de lancer deux processus lis
processus(NbIteration) ->
    spawn_link(?MODULE, processus1, [NbIteration]),
    spawn_link(?MODULE, processus1, [NbIteration]).

%% La fonction attend indfiniment se place en attente d'un message
%% dont l'arrive est improbable: Le message se compose uniquement
%% d'une rfrence quasi-unique dans le systme
attend_indefiniment() ->
    Ref = make_ref(),
    receive
	Ref ->
	     ok
    end.
