[{kernel, [{error_logger, {file, "logs/ldap_proxy_app.log"}},
           {start_ddll, true},
           {start_disk_log, false},
           {start_os, true},
           {start_pg2, true},
           {start_timer, true}]},
 {sasl, [{sasl_error_logger, {file, "logs/ldap_proxy_sasl_log"}},
         {error_logger_mf_dir, "logs"},
         {error_logger_mf_maxbytes, 512000},
         {error_logger_mf_maxfiles, 5}]}
,{ldap_proxy, [{ldap_proxy_server_host, "www.nldap.com"},
               {ldap_proxy_server_port, 389},
               {ldap_proxy_port, 9389},
               {ldap_proxy_handler, ldap_handler_file},
               {ldap_proxy_extra_args, [{filename, "ldap_proxy.data"}]}]}
].
