-module(chaine).

-export([majuscule/1, minuscule/1]).

%% Fonctions de conversion en majuscule:
majuscule(Chaine) ->
    majuscule(Chaine, []).

majuscule([], Resultat) ->
    lists:reverse(Resultat);
majuscule([Caractere|Caracteres], Resultat)
  when Caractere >= $a, Caractere =< $z ->
    majuscule(Caracteres, [Caractere - 32|Resultat]);
majuscule([Caractere|Caracteres], Resultat) ->
    majuscule(Caracteres, [Caractere|Resultat]).

%% Fonctions de conversion en minuscule:
minuscule(Chaine) ->
    minuscule(Chaine, []).

minuscule([], Resultat) ->
    lists:reverse(Resultat);
minuscule([Caractere|Caracteres], Resultat)
  when Caractere >= $A, Caractere =< $Z ->
    minuscule(Caracteres, [Caractere + 32|Resultat]);
minuscule([Caractere|Caracteres], Resultat) ->
    minuscule(Caracteres, [Caractere|Resultat]).
