%% Dbut du module do2
-module(do2).

-export([start/0, dowhile/2]).

%% Fonction de lancement du programme
start() ->
    io:format("Saisissez un texte et terminez par une ligne vide.~n",[]),

    %% Dfinition des paramtres dfinissant le droulement de notre boucle:
    TraitementFun = fun() -> Line = io:get_line('> '),
			     io:format("Vous avez saisi: ~s", [Line]),
			     Line end,
    ConditionFun = fun(Line) -> not (Line == "\n") end,
    %% Entre dans notre boucle proprement dite
    dowhile(TraitementFun, ConditionFun).

dowhile(TraitementFun, ConditionFun) ->
    dowhile(true, TraitementFun, ConditionFun).

%% Premire clause: La condition de sortie est ralise, lorsque que
%% le rsultat de l'excution de la prcdente excution de la
%% fonction de condition est faux.
dowhile(false, TraitementFun, ConditionFun) ->
    ok;
%% Deuxime clause: On execute le traitement et passe le rsultat  la
%% boucle de traitement qui peut ventuellement l'utiliser pour
%% dterminer les conditions de poursuite d'excution de la boucle.
dowhile(true, TraitementFun, ConditionFun) ->
    Result = TraitementFun(),
    TestResult = ConditionFun(Result),
    dowhile(TestResult, TraitementFun, ConditionFun).
%% Fin du module do2
