-module(gen_liste1).

-export([nombre_pair/1]).

%% La fonction nombre_pair/1 renvoie une liste de nombre pair allant
%% de 2  Limite (passe en paramtre).
nombre_pair(Limite) ->
    nombre_pair(Limite, 2, []).
%% Lorsque le compteur atteint la limite, on renvoie le rsultat
%% Si la limite donne est infrieur au compteur initial, la fonction
%% renvoie liste vide grce au test dans le guarde
nombre_pair(Limite, Compteur, Resultat) when Compteur > Limite ->
    lists:reverse(Resultat);
%% On ajoute le compteur au rsultat et on poursuit la gnration de
%% la liste
nombre_pair(Limite, Compteur, Resultat) ->
    nombre_pair(Limite, Compteur + 2, [Compteur | Resultat]).
