-module(liste2).

-export([rot13/1]).

rot13(String) ->
   rot13(String, []).

%% Traitement termin lorsque tous les lments ont t traits
rot13([], Result) ->
   lists:reverse(Result);
%% Cette fonction ne fonctionne que pour les mots en majuscule.
%% (Les caractres ASCII majuscule sont compris entre 65 et 90.
rot13([Char|Chars], Result) ->
   NewChar = case Char + 13 of
                Translation when Translation > 90 ->
                   Translation - 26;
                Translation -> Translation
   end,
   rot13(Chars, [NewChar|Result]).
