%% Dbut du module nombres
%% Calcul et prdicat portant sur des nombres entiers
-module(nombres).
-export([est_pair/1, est_impair/1]).

%% ----
%% Fonction testant si un nombre est pair:
est_pair(Nombre) when integer(Nombre) ->
    %% Le reste de la division par deux est-il nulle ?
    case Nombre rem 2 of 
	0 ->
	    true;
	Other ->
	    false
    end;
%% Si le Nombre n'est pas un entier, alors erreur.
est_pair(Nombre) ->
    {error, le_parametre_n_est_pas_un_entier}.

%% ----
%% Fonction testant si un nombre est impair:
est_impair(Nombre) when integer(Nombre) ->
    %% Le rsultat est l'inverse du test est_pair:
    %% Un entier est soit pair, soit impair.
    not est_pair(Nombre);
%% Si le Nombre n'est pas un entier, alors erreur.
est_impair(Nombre) ->
    {error, le_parametre_n_est_pas_un_entier}.
%% Fin du module nombres
