-module(processus1).
-export([start1/0]).
-export([processus/1]).

%% Cre un nouveau processus avec un dure de vie comprise entre
%% 90 et 180 secondes
start1() ->
    %% Initialisation du gnrateur de nombre alatoire
    {N1,N2,N3} = now(),
    random:seed(N1,N2,N3),
    
    %% Gnration de la dure du vie du processus
    DureeDeVie = random:uniform(90) + 90,

    %% Cration du nouveau processus
    spawn(?MODULE, processus, [DureeDeVie]).

%% Fonction servant de support  l'excution de notre nouveau processus
processus(DureeDeVie) ->
    io:format("+ Nouveau processus: ~p (dure de vie = ~w secondes)~n", [self(), DureeDeVie]),
    %% timer:sleep accepte une valeur en millisecondes
    timer:sleep(DureeDeVie * 1000),
    io:format("- Le processus ~p se termine~n", [self()]).
 
